Subject: [Roll] DIO compression option

From: "Turner, Randy" <[email-masked]>
Date: Wed, 23 Sep 2015 17:06:21 +0000

Hi Pascal,

It was not my intention to leave out the lifetime value...just a cut and paste error on my part - the lifetime value will be added to this document...I wanted this option to semantically be the same as the 6775 version, including lifecycle management.

I was definitely going to provide some text as to when this option might be disseminated - under what circumstances (would it be solicited, or periodically sent) basically under what conditions a non-root node might be expected to receive the option.

Thanks!
Randy

Re: [Roll] DIO option for compression context
"Pascal Thubert (pthubert)" <[email-masked]> Wed, 23 September 2015 16:19 UTCShow header
Hello Randy:

This is good work and I think it needs to be pursued

I see that you omitted the lifetime in the option (comparing to RFC 6775). Why is this so?

Section 5 should mention that the option is propagated as is. If it is not needed in all DIOs then you could indicate when to send it. This could be for instance trickled upon a change and placed in responses to DIS messages.

Cheers,

Pascal

From: Roll [mailto:[email-masked]] On Behalf Of Turner, Randy
Sent: mercredi 23 septembre 2015 15:58
To: [email-masked]
Subject: [Roll] DIO option for compression context

Hello All,

At the Prague plenary, during the 6lo session, a number of ROLL participants suggested that a multicast DIO option might be better suited for dissemination of RFC 6282 compression context information as an alternative to RFC 6775 - rather than use DHCPv6 for values that are not "node-specific" but apply to all nodes on the network.

The attached document re-states the option in the form of a DIO option and references RFC 6775 section 7.2 for context lifecycle management.

This document would be categorized as experimental.

I was looking for comments from the ROLL group on this preliminary text (as this is a DIO option proposal) prior to finalizing the text and submitting as a draft.

Thanks!
Randy

P PLEASE CONSIDER OUR ENVIRONMENT BEFORE PRINTING THIS EMAIL.

This e-mail (including any attachments) is confidential and may be legally privileged. If you are not an intended recipient or an authorized representative of an intended recipient, you are prohibited from using, copying or distributing the information in this e-mail or its attachments. If you have received this e-mail in error, please notify the sender immediately by return e-mail and delete all copies of this message and any attachments. Thank you.

---

From: Carsten Bormann <[email-masked]>
Date: Wed, 23 Sep 2015 23:26:06 +0200

I'm not sure I understand the approach.

6CO already is an option.

What is wrong with adding this to other random ICMP messages (such as
DIOs)?  Why do we need a new option option to say the same thing?
(Yes, you still would need to discuss any damage to the semantics, e.g.,
considering section 7.2 of RFC 6775, but that is true in any case.)

Maybe I should read the document.

(I also would like to see a resolution of the question whether ROLL is
now planning to officially replace RFC 6775 for all intents and
purposes.  We could have done that but didn't.   Was there a point?
But that is maybe a separate question.)

Grüße, Carsten

PS.: Yes, *anything* is better than using DHCP for this.

Turner, Randy wrote:
> Hi Pascal,
> 
>  
> 
> It was not my intention to leave out the lifetime value…just a cut and
> paste error on my part – the lifetime value will be added to this
> document…I wanted this option to semantically be the same as the 6775
> version, including lifecycle management.
> 
>  
> 
> I was definitely going to provide some text as to when this option might
> be disseminated – under what circumstances (would it be solicited, or
> periodically sent) basically under what conditions a non-root node might
> be expected to receive the option.
> 
>  
> 
> Thanks!
> Randy
> 
>  
> 
>  
> 
> Section 5 should mention that the option is propagated as is. If it is
> not needed in all DIOs then you could indicate when to send it. This
> could be for instance trickled upon a change and placed in responses to
> DIS messages.
> 
>  
> 
> Cheers,
> 
>  
> 
> Pascal
> 
>  
> 
> At the Prague plenary, during the 6lo session, a number of ROLL
> participants suggested that a multicast DIO option might be better
> suited for dissemination of RFC 6282 compression context information as
> an alternative to RFC 6775 - rather than use DHCPv6 for values that are
> not "node-specific" but apply to all nodes on the network.
> 
>  
> 
> The attached document re-states the option in the form of a DIO option
> and references RFC 6775 section 7.2 for context lifecycle management.
> 
>  
> 
> I was looking for comments from the ROLL group on this preliminary text
> (as this is a DIO option proposal) prior to finalizing the text and
> submitting as a draft.
> 
>  
> 
> Thanks!
> 
> Randy
> 
>  
> 
>  
> 
> 
> This e-mail (including any attachments) is confidential and may be
> legally privileged. If you are not an intended recipient or an
> authorized representative of an intended recipient, you are prohibited
> from using, copying or distributing the information in this e-mail or
> its attachments. If you have received this e-mail in error, please
> notify the sender immediately by return e-mail and delete all copies of
> this message and any attachments. Thank you.
> 
> _______________________________________________
> Roll mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/roll

---

From: "Pascal Thubert (pthubert)" <[email-masked]>
Date: Thu, 24 Sep 2015 15:02:31 +0000

Hello Carsten

For the better and the worst, RPL decided to avoid IPv6 ND alignments; RPL expresses the length in bytes. 

So a number of options are just redefined in RFC 6550 to echo the ND drafts. The 6CO is clearly missing, for historical reasons. Others such as SLLAO would be clearly useful as well. And  MTU when we build heterogeneous networks...

Cheers,

Pascal

> -----Original Message-----
> From: Carsten Bormann [mailto:[email-masked]]
> Sent: mercredi 23 septembre 2015 23:26
> To: Routing Over Low power and Lossy networks <[email-masked]>
> Cc: Pascal Thubert (pthubert) <[email-masked]>
> Subject: Re: [Roll] DIO compression option
> 
> (I also would like to see a resolution of the question whether ROLL is now
> planning to officially replace RFC 6775 for all intents and
> > I was definitely going to provide some text as to when this option
> > might be disseminated – under what circumstances (would it be
> > solicited, or periodically sent) basically under what conditions a
> > non-root node might be expected to receive the option.
> >
> >
> >
> > Thanks!
> > Randy
> >
> >
> >
> >
> >
> > "Pascal Thubert (pthubert)" <[email-masked]> Wed, 23 September
> > 2015
> > 16:19 UTCShow header
> >
> > Hello Randy:
> >
> >
> >
> > could be for instance trickled upon a change and placed in responses
> > to DIS messages.
> >
> >
> >
> > Cheers,
> >
> >
> >
> > Pascal
> >
> >
> >
> > suited for dissemination of RFC 6282 compression context information
> > as an alternative to RFC 6775 - rather than use DHCPv6 for values that
> > are not "node-specific" but apply to all nodes on the network.
> >
> >
> >
> > I was looking for comments from the ROLL group on this preliminary
> > text (as this is a DIO option proposal) prior to finalizing the text
> > and submitting as a draft.
> >
> >
> >
> > Thanks!
> >
> > Randy
> >
> >
> >
> >
> >
> >
> > notify the sender immediately by return e-mail and delete all copies
> > of this message and any attachments. Thank you.
> >